Loading...
Searching...
No Matches
BALL::GeometricFit::RotationAngles_ Class Reference

`#include <BALL/DOCKING/geometricFit.h>`

## Public Member Functions

| RotationAngles_ ()
| RotationAngles_ (int step)
| ~RotationAngles_ ()
bool | generateSomeAngles (const float deg_phi, const float deg_psi, const float deg_theta, const float phi_min, const float phi_max, const float psi_min, const float psi_max, const float theta_min, const float theta_max)
bool | generateAllAngles (const int deg)
int | getRotationNum ()
int | getXAng (int n)
int | getYAng (int n)
int | getZAng (int n)

## Public Attributes

vector< int > | phi_
vector< int > | theta_
vector< int > | psi_

## Detailed Description

nested class RotationAngles_

Definition at line 202 of file geometricFit.h.

## Constructor & Destructor Documentation

## RotationAngles_() [1/2]

BALL::GeometricFit::RotationAngles_::RotationAngles_ | ( |  | ) |

## RotationAngles_() [2/2]

BALL::GeometricFit::RotationAngles_::RotationAngles_ | ( | int | step | ) |

## ~RotationAngles_()

BALL::GeometricFit::RotationAngles_::~RotationAngles_ | ( |  | ) |

inline

Definition at line 213 of file geometricFit.h.

## Member Function Documentation

## generateAllAngles()

bool BALL::GeometricFit::RotationAngles_::generateAllAngles | ( | const int | deg | ) |

## generateSomeAngles()

bool BALL::GeometricFit::RotationAngles_::generateSomeAngles | ( | const float | deg_phi,
|  | const float | deg_psi,
|  | const float | deg_theta,
|  | const float | phi_min,
|  | const float | phi_max,
|  | const float | psi_min,
|  | const float | psi_max,
|  | const float | theta_min,
|  | const float | theta_max )

## getRotationNum()

int BALL::GeometricFit::RotationAngles_::getRotationNum | ( |  | ) |

inline

Definition at line 226 of file geometricFit.h.

## getXAng()

int BALL::GeometricFit::RotationAngles_::getXAng | ( | int | n | ) |

inline

Definition at line 231 of file geometricFit.h.

## getYAng()

int BALL::GeometricFit::RotationAngles_::getYAng | ( | int | n | ) |

inline

Definition at line 236 of file geometricFit.h.

## getZAng()

int BALL::GeometricFit::RotationAngles_::getZAng | ( | int | n | ) |

inline

Definition at line 241 of file geometricFit.h.

## Member Data Documentation

## phi_

vector<int> BALL::GeometricFit::RotationAngles_::phi_

Definition at line 247 of file geometricFit.h.

## psi_

vector<int> BALL::GeometricFit::RotationAngles_::psi_

Definition at line 249 of file geometricFit.h.

## theta_

vector<int> BALL::GeometricFit::RotationAngles_::theta_

Definition at line 248 of file geometricFit.h.